import express from "express";
let rptTplRouter = express.Router();
import reportTplController from "./../controllers/rpt_tpl_controller";
import reportCfgController from "./../controllers/rpt_cfg_controller";

module.exports = function (app) {
    app.get('/rpt_tpl',  function(req, res) {
        if (!req.session.managerData.username) {
            res.redirect('/login');
        }
        else {
            res.render('maintain/report/rpt_tpl_main.html',
                {userAccount: req.session.managerData.username,
                    userID: req.session.managerData.userID});
        }
    });

    rptTplRouter.post('/createTplTreeNode', reportTplController.createTplTreeNode);
    rptTplRouter.post('/getRptTplTree', reportTplController.getRptTplTree);
    rptTplRouter.post('/updateRptTplNodes', reportTplController.updateTreeNodes);
    rptTplRouter.post('/deleteRptTplNodes', reportTplController.deleteRptTplNodes);
    rptTplRouter.post('/createDftRptTpl', reportTplController.createDftRptTpl);
    rptTplRouter.post('/getRefRptTpl', reportTplController.getRefRptTpl);
    rptTplRouter.post('/updateRptTpl', reportTplController.updateRptTpl);

    rptTplRouter.post('/getUserRptCfg', reportCfgController.getReportUserCfg);
    rptTplRouter.post('/getMappingFields', reportCfgController.getAllMappingFields);
    app.use("/report_tpl_api", rptTplRouter);
};